Download it now!
Bug 37458 - Crash when updating a pivot table if source data not available
Summary: Crash when updating a pivot table if source data not available
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.0 RC1
Hardware: x86 (IA32) Windows (All)
: medium critical
Assignee: Kohei Yoshida
URL:
Whiteboard: target:3.4.1
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-22 02:39 UTC by pierre-yves samyn
Modified: 2011-05-26 12:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Testing Spreadsheet (9.48 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-05-22 02:40 UTC, pierre-yves samyn
Details
crash stack (14.85 KB, text/plain)
2011-05-25 20:06 UTC, Yifan Jiang
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2011-05-22 02:39:33 UTC
Hello

Build Date & Platform: XP 3.4RC1 Libo BuildID = 340m1 (Build: 11)

Steps to reproduce:
- Define a name through Insert> Name> Define for a data range
- Create a pivot table based on this user name
- Insert> Name> Define> Delete this user name
- Update the pivot table 

Expected result: Replace the values in the pivot table by #NAME?
Actual result : Crash

The attached spreadsheet already contains a pivot table based on a named range for an easy reproduction of the crash:
- Open the attached file
- Insert> Names> Define> "PysData"> Delete
- Right click on the pivot table > update

Additional Information: Reproduced with same build & platform on [fr-discuss]

Best regards
Comment 1 pierre-yves samyn 2011-05-22 02:40:48 UTC
Created attachment 46992 [details]
Testing Spreadsheet
Comment 2 Yifan Jiang 2011-05-25 20:04:59 UTC
Lovely catch! Reproduced on 3.4 RC1 /SLED 11 sp1.

Attaching crash stack.

Thanks for Kohei's review.
Comment 3 Yifan Jiang 2011-05-25 20:06:18 UTC
Created attachment 47170 [details]
crash stack
Comment 4 Kohei Yoshida 2011-05-25 20:25:23 UTC
I'll take it.
Comment 5 Kohei Yoshida 2011-05-25 21:11:35 UTC
Fixed on master, and pending review for 3.4.1 inclusion.

http://cgit.freedesktop.org/libreoffice/calc/commit/?id=1f26bb6e3effeccffee1bec1a0e730e0e952f3a8
Comment 6 Kohei Yoshida 2011-05-26 12:53:23 UTC
The fix is pushed to the -3-4 branch as well.  This will be fixed in 3.4.1.